package ttt.gui;

import java.util.*;
import javax.swing.*;

import ttt.model.TTTGame;

/** An abstract superclass that all views will extend. */
public abstract class View extends JPanel implements Observer {
    // constants
    public static final String SOUND_FOLDER = "sounds/";
    public static final String IMAGE_FOLDER = "images/";
    
    // fields
    protected TTTGame game;
    
    public View(TTTGame game) {
        this.game = game;
        game.addObserver(this);
    }
    
    /** Removes this view from the game. */
    public void detach() {
        
    }
    
    /** Called by the observable model when updates occur. */
    public void update(Observable o, Object arg) {
        repaint();
    }
}
